Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3798 - Pump update doesn't do the trick
Summary: Pump update doesn't do the trick
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pump
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-29 12:17 UTC by mapimapi
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-03 16:53:14 UTC


Attachments (Terms of Use)

Description mapimapi 1999-06-29 12:17:01 UTC
Hello,
my problem is that I am on a win NT network, I need to have
my linux box log on to the winNT DHCP server and return with
a name so I can ping it by name, without messing with the
hosts file. I know that NT can get hostname assigned with
their ip very easily (with out haveing to contact sys admin)
I REALLY need to get this to work, my work has been
considering using it insted of NT but it NEEDs this
functionality. I have installed the update to pump but this
still dosn't work, I have installed linux on 8 boxes and it
still will not work.

Please Help,
Kevin Gerth

Comment 1 tcanter 1999-08-20 15:42:59 UTC
Kevin,
Your question begs the question how does a Windows NT/98/95 computer
find other computers on the network? As you basically know DNS
provides the ability of a central server to map host names to IP
Addresses. What you have not realized is that this is not the only
method that NT/98/95 uses to locate other computers. The alternate
for these computers is to use WINS to find the target computer. When
NT/98/95 does not get a valid response to the computer name it is
requesting from DNS, it then tries WINS and then a lookup in the
LMHOSTS files (Windows NT - C:\winnt\system32\drivers\etc\lmhosts).
If you want your computer to be automatically found when it comes up,
then turn on and install samba (which is somewhat of an exercise in
itself). This will enable the nmbd daemon which will broadcast the IP
address of the computer to the network to the current WINS master.
Unfortunately pump does not modify the hosts table to indicate the
local host name IP address. So this solution is does not work too
well.

How about this as a defect? That the pump daemon does not update the
hosts table to indicate the host IP address?


Note You need to log in before you can comment on or make changes to this bug.